import { defineStore } from 'pinia'

export const useStore = defineStore('counter', {
  state: () => {
    return {
      someState: '你好 pinia',
    }
  },
  // persist: true,
  // 配置持久化
  persist: {
    // 调整为兼容多端的API
    storage: {
      setItem(key, value) {
        uni.setStorageSync(key, value) 
      },
      getItem(key) {
        return uni.getStorageSync(key) 
      },
    },
  }
})